EDIT - feature request #4644
task # 6992 (New): Refactor and modernize REST web service API
task # 4009 (New): consider using jackson as json library
json lib incorrectly serializes values containig the characters [, ], {, }
02/09/2015 01:26 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Miller % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal

Description

for example in the cichorieae Hedypnois Mill. has the nomenclaturalMicroReference @[606]@, which is serialized to json as an
array:

"nomenclaturalMicroReference": [
606
1,

https://test.e-taxonomy.eu/cdmserver/cichorieae/name/4daidcc4-fb0b-43a2-a909-82535363f14e.json

this causes the a php warning to appear in the portal, like:
Warning: urlencode () expects parameter 1 to be string, array given in cdm_ws_getNomenclaturalRefer
ence () (line 1500 of /var/www/drupal-7.32/sites/_dataportal-production/modules/cdm_dataportal/cdm_

api/cdm_api.module) .

This is a general problem in json-lib, an should be solved in a general way, e.g. by upgrading to a newer version?

TODO

e remove cdm-dataportallecb8526 (svn: r28125) avoiding the red error box as long #4644 is not fixed
Related issues:
Related to EDIT - task #9265: Adapt dataportal to new protologue handling Closed
Has duplicate EDIT - bug #7973: Pages not shown in portal if no digit? Duplicate
History

#1 - 02/09/2015 01:46 PM - Andreas Kohlbecker

- Target version deleted (cdmlib - Next Major Release)

#2 - 02/18/2015 11:53 AM - Andreas Miiller

- Target version set to cdmlib - Next Major Release

#3 - 09/28/2017 08:28 AM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#4 - 01/09/2019 04:38 PM - Andreas Kohlbecker
- Has duplicate bug #7973: Pages not shown in portal if no digit? added

#5 - 11/25/2020 03:18 PM - Andreas Kohlbecker
- Related to task #9265: Adapt dataportal to new protologue handling added

#6 - 11/25/2020 03:20 PM - Andreas Kohlbecker
https://test.e-taxonomy.eu/cdmserver/cichorieae/name/4da14cc4-fb0b-43a2-a909-82535363f14e.json
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/ecb8526d5693f768f8265dd423df78c03a28b54e
https://dev.e-taxonomy.eu/redmine/issues/4644

- Description updated

#7 - 11/25/2020 03:22 PM - Andreas Kohlbecker
- Description updated

#8 - 11/25/2020 05:08 PM - Andreas Kohlbecker
- Status changed from New to Rejected

- Target version deleted (cdmlib - Old Next Major Release)

this is no longer relevant since we no longer need to get the microreference separately aa06cif1a2

The hack mentioned above is removed already.

#9 - 11/27/2020 01:57 PM - Andreas Kohlbecker
- Status changed from Rejected to New
- Priority changed from New to Priority14

- Target version set to Release 5.19

the above mentioned commit had to be reverted, so this issue is open again

#10 - 01/27/2021 03:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#11 - 03/10/2021 03:01 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#12 - 04/19/2021 04:33 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.46

#13 - 03/23/2022 11:29 AM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- Target version changed from Release 5.46 to Release 5.44
